HallInfo
Date: 2019-10-22

org.jmol.symmetry

## Class HallInfo

- java.lang.Object
- - org.jmol.symmetry.HallInfo

-     class HallInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `hallSymbol`
    `(package private) boolean` | `isCentrosymmetric`
    `(package private) char` | `latticeCode`
    `(package private) java.lang.String` | `latticeExtension`
    `(package private) int` | `nRotations`
    `(package private) java.lang.String` | `primitiveHallSymbol`
    `(package private) HallRotationTerm[]` | `rotationTerms`
    `(package private) javajs.util.P3i` | `vector12ths`
    `(package private) java.lang.String` | `vectorCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HallInfo(java.lang.String hallSymbol)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) java.lang.String` | `dumpInfo()`
    `private java.lang.String` | `extractLatticeInfo(java.lang.String name)`
    `private java.lang.String` | `extractRotationInfo(java.lang.String name, int prevOrder, char prevAxisType)`
    `private java.lang.String` | `extractVectorInfo(java.lang.String name)`
    `private java.lang.String` | `getLatticeDesignation()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hallSymbol

          java.lang.String hallSymbol

    - #### primitiveHallSymbol

          java.lang.String primitiveHallSymbol

    - #### latticeCode

          char latticeCode

    - #### latticeExtension

          java.lang.String latticeExtension

    - #### isCentrosymmetric

          boolean isCentrosymmetric

    - #### nRotations

          int nRotations

    - #### rotationTerms

          HallRotationTerm[] rotationTerms

    - #### vector12ths

          javajs.util.P3i vector12ths

    - #### vectorCode

          java.lang.String vectorCode

  - ### Constructor Detail

    - #### HallInfo

          HallInfo(java.lang.String hallSymbol)

  - ### Method Detail

    - #### dumpInfo

          java.lang.String dumpInfo()

    - #### getLatticeDesignation

          private java.lang.String getLatticeDesignation()

    - #### extractLatticeInfo

          private java.lang.String extractLatticeInfo(java.lang.String name)

    - #### extractVectorInfo

          private java.lang.String extractVectorInfo(java.lang.String name)

    - #### extractRotationInfo

          private java.lang.String extractRotationInfo(java.lang.String name,
                                                       int prevOrder,
                                                       char prevAxisType)